<?php

/**
 * @file
 * Contains \Drupal\yamlform\Plugin\YamlFormElement\Color.
 */

namespace Drupal\yamlform\Plugin\YamlFormElement;

use Drupal\yamlform\YamlFormElementBase;
use Drupal\yamlform\YamlFormSubmissionInterface;

/**
 * Provides a 'color' element.
 *
 * @YamlFormElement(
 *   id = "color",
 *   label = @Translation("Color"),
 *   description = @Translation("Handles displaying a color element.")
 * )
 */
class Color extends YamlFormElementBase {

  /**
   * {@inheritdoc}
   */
  public function prepare(array &$element, YamlFormSubmissionInterface $yamlform_submission) {

    $element['#attached']['library'][] = 'yamlform/yamlform.element.color';
  }

  /**
   * {@inheritdoc}
   */
  public function formatHtml(array &$element, $value) {
    return [
      '#theme' => 'yamlform_element_color_value',
      '#element' => $element,
      '#value' => $value,
    ];
  }

}
