<?php

/**
 * @file
 * Contains \Drupal\yamlform\Plugin\YamlFormElement\ContainerBase.
 */

namespace Drupal\yamlform\Plugin\YamlFormElement;

use Drupal\yamlform\YamlFormElementBase;

/**
 * Provides a base 'container' class.
 */
abstract class ContainerBase extends YamlFormElementBase {

  /**
   * {@inheritdoc}
   */
  protected function build($format, array &$element, $value, array $options = []) {
    return [
      '#theme' => 'yamlform_container_base_' . $format,
      '#name' => $element['#key'],
      '#title' => (isset($element['#title'])) ? $element['#title'] : NULL,
      '#value' => $value,
      '#options' => $options,
    ];
  }

}
